Name: fpc
Version: 1.0.10
Release: alt1

Summary: Free Pascal Compiler
License: GPL
Group: Development/Other


URL: http://www.freepascal.org/
Packager: Sergey P. Kondratyev <seirge@altlinux.ru>
ExclusiveArch: %ix86

Source: %name-%version.tar.bz2
Source1: %name-%version-stamp.tar.bz2

Patch1: %name-1.0.10-alt-makefile-docs.patch


%define fpcdir %_libdir/%name/%version
%define docdir %_docdir/%name-%version
%define exampledir %docdir/examples
%define demosdir %docdir/demos
%define htmldir %docdir/html

%define buildfpcdir %buildroot%fpcdir
%define builddocdir %buildroot%docdir
%define buildmandir %buildroot%_datadir
%define buildbindir %buildroot%_bindir
%define buildlibdir %buildroot%_libdir
%define buildexampledir %buildroot%exampledir
%define builddemosdir %buildroot%demosdir
%define buildhtmldir %buildroot%htmldir

%description
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked. Basic Delphi support is already implemented (classes,
exceptions,ansistrings,RTTI). This package contains commandline compiler and
utils. Provided units are the runtime library (RTL), free component library
(FCL), gtk,ncurses,zlib, mysql,postgres,ibase bindings.
                                    
%description -l ru_RU.KOI8-R
FPC -- 32-  Pascal,   Turbo Pascal 7.0  Delphi. 
  RTL (  ), FCL ( 
),   gtk, ncurses, zlib, mysql, postgres, ibase.

%prep
%setup -a 1
%patch1 -p0

%build
OLDPP=`pwd`/stamp/ppc386
NEWPP=`pwd`/compiler/ppc386
NEWFPDOC=`pwd`/utils/fpdoc/fpdoc
	make compiler_cycle FPC=$OLDPP
	make rtl_clean rtl_smart FPC=$NEWPP
	make packages_base_smart FPC=$NEWPP
	make fcl_smart FPC=$NEWPP
	make packages_extra_smart FPC=$NEWPP
	make utils_all FPC=$NEWPP
	make -C docs l2h FPDOC=$NEWFPDOC

%install
NEWPP=`pwd`/compiler/ppc386
INSTALLOPTS="FPC=$NEWPP INSTALL_PREFIX=%buildroot/usr INSTALL_LIBDIR=%buildlibdir \
		INSTALL_DOCDIR=%builddocdir INSTALL_BINDIR=%buildbindir"
	make compiler_distinstall $INSTALLOPTS
	make rtl_distinstall $INSTALLOPTS
	make packages_distinstall $INSTALLOPTS INSTALL_PREFIX=%buildmandir INSTALL_BASEDIR=%buildfpcdir
	make fcl_distinstall $INSTALLOPTS INSTALL_EXAMPLEDIR=%builddocdir/examples/fcl
	make utils_distinstall $INSTALLOPTS

	make demo_install $INSTALLOPTS INSTALL_SOURCEDIR=%builddemosdir
	make doc_install $INSTALLOPTS
	make man_install $INSTALLOPTS INSTALL_PREFIX=%buildmandir
	
	make -C docs htmlinstall DOCINSTALLDIR=%buildhtmldir FPDOC=$NEWFPDOC

	# create link
	cd %buildroot%_bindir
	ln -sf %fpcdir/ppc386 ppc386


%files

%_bindir/*
%_libdir/%name
%docdir/NEWS
%docdir/README
%docdir/faq.html
%docdir/faq.txt
%_man1dir/*
%_man5dir/*

%package docs
Group: Development/Other
Summary: Free Pascal Compiler - Documentation and Examples

BuildPreReq: latex2html

%description docs
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked. Basic Delphi support is already implemented (classes,
exceptions,ansistrings,RTTI). This package contains commandline compiler and
utils. Provided units are the runtime library (RTL), free component library
(FCL), gtk,ncurses,zlib, mysql,postgres,ibase bindings.
This package contains the documentation in HTML format and different examples.

%description docs -l ru_RU.KOI8-R
FPC -- 32-  Pascal,   Turbo Pascal 7.0  Delphi. 
  RTL (  ), FCL ( 
),   gtk, ncurses, zlib, mysql, postgres, ibase.
      HTML   

%files docs
%docdir/html
%docdir/demos
%docdir/examples

%changelog
* Tue Feb 11 2004 Sergey P. Kondratyev <seirge@altlinux.ru> 1.0.10-alt1
- new version + docs and examples

* Mon Oct 07 2002 Michael Shigorin <mike@altlinux.ru> 1.0.6-alt1.1
- spec cleanup

* Sat Sep 19 2002 Sergey <skrivulja@erec.ru>
- adopted for Master
